clang-tools 10.0.0

Namespaces
CodeCompleteTests.cpp File Reference
`#include "Annotations.h"`
`#include "ClangdServer.h"`
`#include "CodeComplete.h"`
`#include "Compiler.h"`
`#include "Matchers.h"`
`#include "Protocol.h"`
`#include "Quality.h"`
`#include "SourceCode.h"`
`#include "SyncAPI.h"`
`#include "TestFS.h"`
`#include "TestIndex.h"`
`#include "TestTU.h"`
`#include "Threading.h"`
`#include "index/Index.h"`
`#include "index/MemIndex.h"`
`#include "clang/Sema/CodeCompleteConsumer.h"`
`#include "clang/Tooling/CompilationDatabase.h"`
`#include "llvm/Support/Error.h"`
`#include "llvm/Support/Path.h"`
`#include "llvm/Testing/Support/Error.h"`
`#include "gmock/gmock.h"`
`#include "gtest/gtest.h"`
`#include <condition_variable>`
`#include <mutex>`
Include dependency graph for CodeCompleteTests.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Variable Documentation

## ◆ Offsets

std::pair<unsigned, unsigned> Offsets

Definition at line 1071 of file CodeCompleteTests.cpp.

Referenced by clang::clangd::Annotations::points().

## ◆ Text

std::string Text

Definition at line 1070 of file CodeCompleteTests.cpp.